import request from '@/utils/request';

//查询学校教师列表
export function querySchoolClassList(params:any){
  return request({
    url: '/base/school-class/querySchoolClassList' ,
    method: 'get',
    params: params
  });
}
//根据年级ids查询班级列表
export function queryByIdsSchoolClassList(params:any){
  return request({
    url: '/base/school-class/queryByIdsSchoolClassList' ,
    method: 'get',
    params: params
  });
}


//新增学校教师
export function addSchoolClass(data:any){
  return request({
    url:'/base/school-class/addSchoolClass' ,
    method: 'post',
    data: data
  });
}
//修改学校教师
export function updateSchoolClass(data:any){
  return request({
    url:'/base/school-class/updateSchoolClass' ,
    method: 'post',
    data: data
  });
}
//删除学校年级
export function delSchoolClass(queryParams:any){
  return request({
    url:'/base/school-class/delSchoolClass' ,
    method: 'post',
    params: queryParams
  });
}

//根据学校ids查询学校年级班级列表
export function querySchoolGradeClassList(params:any){
  return request({
    url: '/base/school-class/querySchoolGradeClassList' ,
    method: 'get',
    params: params
  });
}
